# Copyright (c) 2022 European Union.
#
# The tool was developed with the contribution of the Joint Research Centre of the European Commission.
#
# This program is free software: you can redistribute it and/or modify it under the terms of the European Union Public
# Licence, either version 1.2 of the License, or (at your option) any later version.
# You may not use this work except in compliance with the Licence.
#
# You may obtain a copy of the Licence at: https://joinup.ec.europa.eu/collection/eupl/eupl-guidelines-faq-infographics
#
# Unless required by applicable law or agreed to in writing, software distributed under the Licence is distributed on
# an "AS IS" basis, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#
# See the Licence for the specific language governing permissions and limitations under the Licence.

import subprocess

years = [2006,2012,2018,2021]
for year in years:
	cmd =  f"/home/deroob/git/inca/src/inca/airfiltration/preprocessing/preprocessing_wind.py -v -i /data/inca_vol1/input_data/air_filtration/input_raw/wind_speed -o /data/inca_vol1/input_data/air_filtration/input_model/wind_speed -y {str(year)}"
	subprocess.check_call(cmd, shell=True)
