import os
import sys
import subprocess
import yaml


fpath = os.path.normpath(r'/data/inca_vol1/input_data/update_series2021/Global_Climate_Regulation/globalclimateregulation_Series2021_v1_gl.yaml')

for i in range(2009, 2022):
    # open yaml
    with open(fpath) as f:
        config = yaml.safe_load(f)
    # add a year
    config['years'] = [i]
    # dump config
    with open(fpath, 'w') as f:
        f.write(yaml.dump(config))

    cmd = """python3 -m inca global_climate_regulation '/data/inca_vol1/input_data/update_series2021/Global_Climate_Regulation/globalclimateregulation_Series2021_v1_gl.yaml' --verbose --continue"""

    try:
        subprocess.check_call(cmd, shell=True)
    except subprocess.CalledProcessError as e:
        raise OSError(f'error in year {i}: {e}')