
## Input file is the 25-km 'grid' of Agri4Cast (cvs file) ##



rd <-  '/data/inca_vol1/input_data/crop_pollination/input_raw/Agri4Cast/Glob_Rad/' ## path to data (the 25-km grid)
wd <- '/data/inca_vol1/input_data/crop_pollination/input_intermediate/Agri4Cast_preprocessed' ## path to destination folder (where the outputs are written)

setwd(wd)
getwd()
dat <- list.files(path = rd, pattern = ".csv$", full.names = TRUE)
dat
length(dat)

mygrid <- data.frame()

for (i in c(3))
{
  mydat <- read.csv2(dat[i], sep = ";", dec = ".")
  # class(mydat)
  # names(mydat)
  mode(mydat$DAY)
  mydat$DAY <- as.Date(as.character(mydat$DAY), format='%Y%m%d')
  mydat$yr <- format(mydat$DAY, '%Y')
  #mydat$mnth <- format(mydat$DAY, '%m')
  #mydat$dy <- format(mydat$DAY, '%d')
  # names(mydat)
  # str(mydat)
  mydat2.mean <- mydat [mydat$yr =="2011",] ## adjust as needed
  rm(mydat)
  
  grid.dup <- mydat2.mean[, 1:3]
  rm(mydat2.mean)
  # str(grid.dup)
  # dim(grid.dup)
  ### Removing duplicated rows ###
  mygrid <- grid.dup[!duplicated(grid.dup), ]
  rm(grid.dup)

}
write.table(mygrid, 'grid.csv', sep = ",", row.names = F)
print("end")
##


